QT += xml \
	xmlpatterns \
	network \
	sql
QT -= gui
LIBS += -L/usr/lib/ -ljreen-qt5
QMAKE_CXXFLAGS += -std=c++11
INCLUDEPATH += /usr/include/jreen-qt5/ /usr/local/include/jreen-qt5
INCLUDEPATH += 3rdparty/qxt/
TARGET = aaron
CONFIG += console thread
CONFIG -= app_bundle
TEMPLATE = app
SOURCES += \
	3rdparty/qxt/qxtcommandoptions.cpp  \
	main.cpp \
	options.cpp \
	shortener.cpp \
	handlers.cpp \
	gittracker.cpp \
	nocachingcache.cpp \
	google.cpp \
	delayedmessage.cpp \
	settings.cpp \
	bot.cpp \
	buildtracker.cpp
HEADERS += \
	3rdparty/qxt/qxtcommandoptions.h \
	3rdparty/qxt/qxtglobal.h \
	options.h \
	shortener.h \
	handlers.h \
	gittracker.h \
	nocachingcache.h \
	google.h \
	delayedmessage.h \
	settings.h \
	bot.h \
	buildtracker.h
CTPP_TEMPLATES += \
	index.tmpl
	
CONFIG(morpho) {
	DEFINES += WITH_MORPHO
	HEADERS += ortho.h
	SOURCES += ortho.cpp
	LIBS += -lnigma_morph -lnigma_morph_dict
}

CONFIG(logserver) {
	DEFINES += WITH_LOGSERVER
	HEADERS += logserver.h
	SOURCES += logserver.cpp
	LIBS += -lhttpserver -lctpp2
}

QMAKE_EXTRA_COMPILERS = ctpp2
ctpp2.output = ${QMAKE_FILE_BASE}.ct2
ctpp2.commands = ctpp2c ${QMAKE_FILE_NAME} ${QMAKE_FILE_OUT}
ctpp2.input = CTPP_TEMPLATES
ctpp2.CONFIG += no_link
