/****************************************************************************
 * gittracker.h
 *  Copyright © 2011, Vsevolod Velichko.
 *  Licence: GPLv3 or later
 *
 ****************************************************************************
 *                                                                          *
 *   This library is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 3 of the License, or      *
 *   (at your option) any later version.                                    *
 *                                                                          *
 ****************************************************************************/

#ifndef GITTRACKER_3E9T60XW
#define GITTRACKER_3E9T60XW

#include <QObject>
#include <QString>
#include <QHash>
#include <QTimer>

class Shortener;
class QNetworkAccessManager;

class GitTracker : public QObject
{
	Q_OBJECT
	typedef struct
	{
		QString id;
		QString rssLink;
		QString link;
		QString longLink;
		QString commitMessage;
		QString updated;
	} RepoInfo;

	public:
		GitTracker (Shortener *b, QObject *p = NULL);
		QString getRepoMessage(const QString &repo);
	signals:
		void newCommit(QString repo, QString commit);
	private:
		QHash<QString, RepoInfo> repos;
		QTimer updater;
		Shortener *shortener;
		QNetworkAccessManager *nam;
	public slots:
		void updateRepos();
};

#endif /* end of include guard: GITTRACKER_3E9T60XW */
