/****************************************************************************
 * main.cpp
 *  Copyright © 2011, Vsevolod Velichko.
 *  Licence: GPLv3 or later
 *
 ****************************************************************************
 *                                                                          *
 *   This library is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 3 of the License, or      *
 *   (at your option) any later version.                                    *
 *                                                                          *
 ****************************************************************************/

#include <QCoreApplication>
#include <QTextCodec>
#include <QDateTime>
#include "options.h"
#include "bot.h"
#ifdef WITH_LOGSERVER
#	include "logserver.h"
#	include <thread>
#endif

#ifndef AARON_SHARE_PATH
#define AARON_SHARE_PATH ""
#endif

int main(int argc, char *argv[])
{
	QCoreApplication a(argc, argv);
	qsrand(QDateTime::currentDateTime().toTime_t());
	QTextCodec::setCodecForLocale(QTextCodec::codecForName("utf-8"));

	Options& options = Options::mutableInstance();
	options.readConfig();
	if (options["shouldExit"].toBool())
		return 0;

	Bot b;

#ifdef WITH_LOGSERVER
	std::thread t(runLogServer);
	t.detach();
#endif

	return a.exec();
}
