/****************************************************************************
 * nocachingcache.cpp
 *  Copyright © 2012, Vsevolod Velichko <torkvema@gmail.com>.
 *  Licence: GPLv3 or later
 *
 ****************************************************************************
 *                                                                          *
 *   This library is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 3 of the License, or      *
 *   (at your option) any later version.                                    *
 *                                                                          *
 ****************************************************************************/

#include "nocachingcache.h"

NoCachingCache::NoCachingCache (QObject *parent)
	: QAbstractNetworkCache(parent)
{
}

NoCachingCache::~NoCachingCache()
{
}

qint64 NoCachingCache::cacheSize() const
{
	return 0;
}

QIODevice* NoCachingCache::data (const QUrl&)
{
	return NULL;
}

void NoCachingCache::insert (QIODevice *)
{
}

QNetworkCacheMetaData NoCachingCache::metaData (const QUrl&)
{
	return QNetworkCacheMetaData();
}

QIODevice* NoCachingCache::prepare (const QNetworkCacheMetaData&)
{
	return NULL;
}

bool NoCachingCache::remove (const QUrl&)
{
	return true;
}

void NoCachingCache::updateMetaData (const QNetworkCacheMetaData&)
{
}

void NoCachingCache::clear()
{
}
