/****************************************************************************
 * nocachingcache.h
 *  Copyright © 2012, Vsevolod Velichko <torkvema@gmail.com>.
 *  Licence: GPLv3 or later
 *
 ****************************************************************************
 *                                                                          *
 *   This library is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 3 of the License, or      *
 *   (at your option) any later version.                                    *
 *                                                                          *
 ****************************************************************************/

#ifndef NOCACHINGCACHE_B4O6KVU9
#define NOCACHINGCACHE_B4O6KVU9

#include <QAbstractNetworkCache>

class NoCachingCache : public QAbstractNetworkCache
{
	Q_OBJECT
	public:
		NoCachingCache(QObject *parent);
		virtual ~NoCachingCache();
		virtual qint64 cacheSize() const;
		virtual QIODevice *data (const QUrl&);
		virtual void insert (QIODevice *);
		virtual QNetworkCacheMetaData metaData (const QUrl&);
		virtual QIODevice *prepare (const QNetworkCacheMetaData&);
		virtual bool remove(const QUrl&);
		virtual void updateMetaData (const QNetworkCacheMetaData&);
	public slots:
		virtual void clear();
};

#endif /* end of include guard: NOCACHINGCACHE_B4O6KVU9 */
