/****************************************************************************
 * options.h
 *  Copyright © 2010, Vsevolod Velichko <torkvema@gmail.com>.
 *  Licence: GPLv3 or later
 *
 ****************************************************************************
 *                                                                          *
 *   This library is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 3 of the License, or      *
 *   (at your option) any later version.                                    *
 *                                                                          *
 ****************************************************************************/

#ifndef OPTIONS_AKFP035C
#define OPTIONS_AKFP035C

#include <QVariant>
#include <QVariantMap>
#include <QObject>

class Options : public QObject
{
	Q_OBJECT
	private:
		void readCommandLine();
		void parseConfig(const QString &path);

		QVariantMap options;
	public:
		Options();
		~Options();
		void readConfig();
	public:
		QVariant operator[] (const QString &name) const;
		bool isset(const QString &name) const;

		const static Options& instance(); 
		static Options& mutableInstance();
};

#endif /* end of include guard: OPTIONS_AKFP035C */
