/****************************************************************************
 * settings.cpp
 *  Copyright © 2012, Vsevolod Velichko <torkvema@gmail.com>.
 *  Licence: GPLv3 or later
 *
 ****************************************************************************
 *                                                                          *
 *   This library is free software; you can redistribute it and/or modify   *
 *   it under the terms of the GNU General Public License as published by   *
 *   the Free Software Foundation; either version 3 of the License, or      *
 *   (at your option) any later version.                                    *
 *                                                                          *
 ****************************************************************************/

#include "settings.h"
#include "delayedmessage.h"
#include <boost/serialization/singleton.hpp>

Settings::Settings()
{
	qRegisterMetaTypeStreamOperators<DelayedMessage>("DelayedMessage");
	qRegisterMetaTypeStreamOperators<DelayedMessages>("DelayedMessages");
	qRegisterMetaTypeStreamOperators<QHash<QString, DelayedMessages> >("QHash<QString,DelayedMessages>");
	qRegisterMetaTypeStreamOperators<QHash<QString, QString> >("QHash<QString,QString>");
	qRegisterMetaTypeStreamOperators<QHash<QString, QDateTime> >("QHash<QString,QDateTime>");
	settings = QSharedPointer<QSettings>(new QSettings("saved_data.ini", QSettings::IniFormat));
}

const Settings& Settings::instance()
{
	return boost::serialization::singleton<Settings>::get_const_instance();
}

Settings& Settings::mutableInstance()
{
	return boost::serialization::singleton<Settings>::get_mutable_instance();
}
